<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.lukouguoji.gjj.viewModel.GjjManifestDetailsViewModel" />

    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_f2"
        android:orientation="vertical"
        tools:context=".activity.GjjManifestDetailsActivity">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp">

            <include layout="@layout/title_tool_bar" />

            <ImageView
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="15dp"
                android:onClick="@{viewModel::onModifyClick}"
                android:src="@drawable/img_edit" />
        </RelativeLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:layout_marginRight="15dp">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="运单号：" />

                <TextView
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{"#f0f0f0"}'
                    android:text="@{viewModel.waybillNo}" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="代理：" />

                <LinearLayout
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'>

                    <androidx.appcompat.widget.AppCompatSpinner
                        items="@{viewModel.agentList}"
                        onSelected="@{viewModel::onAgentSelected}"
                        setEnable="@{viewModel.modifyAble}"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />

                </LinearLayout>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="特码：" />

                <LinearLayout
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'>

                    <androidx.appcompat.widget.AppCompatSpinner
                        items="@{viewModel.specialCodeList}"
                        onSelected="@{viewModel::onSpecialCodeSelected}"
                        setEnable="@{viewModel.modifyAble}"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />

                </LinearLayout>
            </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:layout_marginRight="15dp">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="业务类型：" />

                <LinearLayout
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'>

                    <androidx.appcompat.widget.AppCompatSpinner
                        items="@{viewModel.businessTypeList}"
                        onSelected="@{viewModel::onBusinessTypeSelected}"
                        setEnable="@{viewModel.modifyAble}"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />

                </LinearLayout>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="货物类型：" />

                <LinearLayout
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'>

                    <androidx.appcompat.widget.AppCompatSpinner
                        items="@{viewModel.goodsTypeList}"
                        onSelected="@{viewModel::onGoodsTypeSelected}"
                        setEnable="@{viewModel.modifyAble}"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />

                </LinearLayout>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="运单类型：" />

                <LinearLayout
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'>

                    <androidx.appcompat.widget.AppCompatSpinner
                        items="@{viewModel.waybillTypeList}"
                        onSelected="@{viewModel::onWaybillTypeSelected}"
                        setEnable="@{viewModel.modifyAble}"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />

                </LinearLayout>
            </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:layout_marginRight="15dp">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="始发港：" />

                <EditText
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'
                    android:enabled="false"
                    android:text="@={viewModel.departure}" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="目的港：" />

                <EditText
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'
                    android:enabled="false"
                    android:text="@={viewModel.destination}" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="运单件数：" />

                <EditText
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'
                    android:enabled="@{viewModel.modifyAble}"
                    android:text="@={viewModel.waybillNum}" />

            </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:layout_marginRight="15dp">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="实到件数：" />

                <EditText
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'
                    android:enabled="@{viewModel.modifyAble}"
                    android:text="@={viewModel.actualNum}" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="实到重量：" />

                <EditText
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'
                    android:enabled="@{viewModel.modifyAble}"
                    android:text="@={viewModel.actualWeight}" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:visibility="gone">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="计费重量：" />

                <EditText
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'
                    android:enabled="@{viewModel.modifyAble}"
                    android:text="465456165" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="包装类型：" />

                <LinearLayout
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'>

                    <androidx.appcompat.widget.AppCompatSpinner
                        items="@{viewModel.packageTypeList}"
                        onSelected="@{viewModel::onPackageTypeSelected}"
                        setEnable="@{viewModel.modifyAble}"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />

                </LinearLayout>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:layout_marginRight="15dp">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="品名(英)：" />

                <EditText
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'
                    android:enabled="@{viewModel.modifyAble}"
                    android:text="@={viewModel.goodsNameEn}" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="入库时间：" />

                <TextView
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{"#f0f0f0"}'
                    android:text="@{viewModel.date}" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:visibility="invisible">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="品名(中)：" />

                <EditText
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'
                    android:enabled="@{viewModel.modifyAble}"
                    android:text="@={viewModel.goodsNameCn}" />

            </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:layout_marginRight="15dp">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="2"
                android:gravity="center_vertical">

                <TextView
                    style="@style/tv_manifest_details_label_no_mi"
                    android:text="备注：" />

                <EditText
                    style="@style/tv_manifest_details_value"
                    shape_bg_color='@{viewModel.modifyAble ? "#ffffff" :"#f0f0f0"}'
                    android:enabled="@{viewModel.modifyAble}"
                    android:text="@={viewModel.remark}" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:layout_marginRight="15dp"
            android:gravity="center_vertical">

            <TextView
                style="@style/tv_manifest_details_label_no_mi"
                android:text="交接图片：" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_pic"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <androidx.appcompat.widget.LinearLayoutCompat
            visible="@{viewModel.modifyAble}"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="#5c6890"
            android:gravity="end"
            android:paddingHorizontal="15dp">

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{viewModel::onSaveClick}"
                android:text="保存" />

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{viewModel::onCancelClick}"
                android:text="取消" />

        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.appcompat.widget.LinearLayoutCompat>
</layout>